Bug 1288886 - (python-portalocker) Review Request: python-portalocker - Library to provide an easy API to file locking
Review Request: python-portalocker - Library to provide an easy API to file l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro 1288893
  Show dependency treegraph
 
Reported: 2015-12-06 16:58 EST by Igor Gnatenko
Modified: 2016-06-30 17:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-30 17:28:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-06 16:58:23 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-portalocker.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-portalocker-0.5.4-1.gitb0de666.fc24.src.rpm
Description: Library to provide an easy API to file locking.
Fedora Account System Username: ignatenkobrain
Comment 1 Jeremy Cline 2015-12-09 21:47:34 EST
Hi Igor,

My package review is informal, as I am working towards becoming a maintainer.

1) Nitpicky, but the %description is pretty barebones. I poked around the project documentation, but I didn't see a great description in them, either. Still, it'd be nice to expand it a bit.

I couldn't find anything else wrong, so either I'm not very good, or well done on your part!
Comment 3 Upstream Release Monitoring 2015-12-10 18:49:35 EST
williamjmorenor's scratch build of python-portalocker-0.5.4-1.gitb0de666.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12142478
Comment 4 Igor Gnatenko 2015-12-12 07:18:27 EST
(In reply to William Moreno from comment #2)
> Test builds: 
> 
> http://copr.fedoraproject.org/coprs/williamjmorenor/fedora-review-test/build/
> 146960/

I dont care about fedora22 and el7. I am only taking care about f23+.

Please do review and we will move to next package.
Comment 5 William Moreno 2015-12-14 12:56:11 EST
Package Review
==============

1. The spec file in the url if not the same than the spec in the src.rpm
[!]: Spec file according to URL is the same as in SRPM.

Upload a new src.rpm a be sure to update the spec link.

2. Upstream Provides a Sphinx doc than you should build and include in a -doc subpackage.

Take a look at the bundleds, this is not a bloquer but it is usefull for users, also if you build the docs use weak depencies to suggest the doc subpackage

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: python2-portalocker-0.5.4-1.gitb0de666.fc23.noarch.rpm
          python3-portalocker-0.5.4-1.gitb0de666.fc23.noarch.rpm
          python-portalocker-0.5.4-1.gitb0de666.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Diff spec file in url and in SRPM
---------------------------------
--- /home/makerpm/1288886-python-portalocker/srpm/python-portalocker.spec	2015-12-10 23:33:42.895000000 +0000
+++ /home/makerpm/1288886-python-portalocker/srpm-unpacked/python-portalocker.spec	2015-12-06 21:56:02.000000000 +0000
@@ -68,4 +68,4 @@
 
 %changelog
-* Sun Dec 06 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.4-1.gitb0de666
+* Sun Dec 06 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.5.4-1
 - Initial package

Requires
--------
python2-portalocker (rpmlib, GLIBC filtered):
    python(abi)

python3-portalocker (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python2-portalocker:
    python-portalocker
    python2-portalocker

python3-portalocker:
    python3-portalocker

Source checksums
----------------
https://github.com/WoLpH/portalocker/archive/b0de666bb7d67289cb39af5d28dcf749ad9d8d50/portalocker-b0de666.tar.gz :
  CHECKSUM(SHA256) this package     : beaa43f20f5153454210e0f1ad0f7946fc3dba9330ea48b2a53edbfd15ead2b7
  CHECKSUM(SHA256) upstream package : beaa43f20f5153454210e0f1ad0f7946fc3dba9330ea48b2a53edbfd15ead2b7
Comment 6 William Moreno 2016-03-11 09:35:16 EST
Any update here?
Comment 7 Igor Gnatenko 2016-03-27 11:36:21 EDT
Sorry, didn't have time.

I will look into your comments. Regarding difference of srpm/spec its really minor issue ;)
Comment 8 William Moreno 2016-04-19 16:06:40 EDT
Just provide the doc subpackage, can be realle usefull.
Comment 9 William Moreno 2016-06-15 17:21:16 EDT
ping
Comment 11 William Moreno 2016-06-21 13:22:23 EDT
Package aproved
===============
Comment 12 Gwyn Ciesla 2016-06-21 15:10:04 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-portalocker
Comment 13 Fedora Update System 2016-06-21 15:43:18 EDT
python-portalocker-0.5.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a31c198e2f
Comment 14 Fedora Update System 2016-06-22 19:03:22 EDT
python-portalocker-0.5.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a31c198e2f
Comment 15 Fedora Update System 2016-06-30 17:28:06 EDT
python-portalocker-0.5.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.